> ## Documentation Index
> Fetch the complete documentation index at: https://auth0-chore-management-api-autoupdate.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update branding theme

> Update branding theme.

export const Scopes = ({scopes = []}) => {
  return <div>
      <div class="api-section-heading flex flex-col gap-y-4 w-full">
        <div class="flex items-baseline border-b pb-2.5 border-gray-100 dark:border-gray-800 w-full">
          <h4 class="api-section-heading-title flex-1 mb-0">Scopes</h4>
          <div class="flex items-center"></div>
        </div>
      </div>
      <div class="mt-4">
        <div class="space-y-4 whitespace-normal prose prose-sm prose-gray dark:prose-invert overflow-wrap-anywhere [&_*]:overflow-wrap-anywhere">
          <p class="whitespace-pre-line text-xs">
            {"Scopes define permissions and access levels for API requests and authentication tokens."}
          </p>
        </div>
      </div>
      <div class="flex font-mono text-sm group/param-head param-head break-all relative mt-6" id="scopes-scopes">
        <div class="flex-1 flex flex-col content-start py-0.5 mr-5">
          <div class="flex items-center flex-wrap gap-2">
            <div class="absolute -top-1.5">
              <a href="#scopes-scopes" class="-ml-10 flex items-center opacity-0 border-0 group-hover/param-head:opacity-100 focus:opacity-100 focus:outline-0 py-2 [.expandable-content_&]:-ml-[2.1rem] group/link" aria-label="Navigate to header">
                ​
                <div class="w-6 h-6 rounded-md flex items-center justify-center shadow-sm text-gray-400 dark:text-white/50 dark:bg-background-dark dark:brightness-[1.35] dark:ring-1 dark:hover:brightness-150 bg-white ring-1 ring-gray-400/30 dark:ring-gray-700/25 hover:ring-gray-400/60 dark:hover:ring-white/20 group-focus/link:border-2 group-focus/link:border-primary dark:group-focus/link:border-primary-light">
                  <svg xmlns="http://www.w3.org/2000/svg" fill="gray" height="12px" viewBox="0 0 576 512">
                    <path d="M0 256C0 167.6 71.6 96 160 96h72c13.3 0 24 10.7 24 24s-10.7 24-24 24H160C98.1 144 48 194.1 48 256s50.1 112 112 112h72c13.3 0 24 10.7 24 24s-10.7 24-24 24H160C71.6 416 0 344.4 0 256zm576 0c0 88.4-71.6 160-160 160H344c-13.3 0-24-10.7-24-24s10.7-24 24-24h72c61.9 0 112-50.1 112-112s-50.1-112-112-112H344c-13.3 0-24-10.7-24-24s10.7-24 24-24h72c88.4 0 160 71.6 160 160zM184 232H392c13.3 0 24 10.7 24 24s-10.7 24-24 24H184c-13.3 0-24-10.7-24-24s10.7-24 24-24z"></path>
                  </svg>
                </div>
              </a>
            </div>
            {scopes.map((scope, index) => {
    return <span class="flex items-center px-2 py-0.5 rounded-md bg-gray-100/50 dark:bg-white/5 text-gray-600 dark:text-gray-200 font-medium break-all" style={{
      lineHeight: "1rem",
      fontSize: "0.75rem",
      fontFamily: 'var(--font-jetbrains-mono), ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace'
    }} data-component-part="field-info-pill" key={index}>
                  {scope}
                </span>;
  })}
          </div>
        </div>
      </div>
    </div>;
};

export const ApiReleaseLifecycle = ({releaseLifecycle = 'GA'}) => {
  const lifecycleMap = {
    ea: 'Early Access',
    ga: 'Generally Available',
    deprecated: 'Deprecated',
    planned: 'Planned',
    beta: 'Beta'
  };
  const LIFECYCLE_THEMES = {
    info: {
      light: {
        bg: 'lab(91.896% .077188 -6.94053)',
        text: 'lab(36.091% 25.9241 -68.0384)'
      },
      dark: {
        bg: 'lab(16.0426% 6.71726 -27.2409)',
        text: 'lab(72.6029% 4.08953 -41.9669)'
      }
    },
    secondary: {
      light: {
        bg: 'lab(90.8548% 11.3355 8.01476)',
        text: 'lab(47.5286% 56.4238 43.4706)'
      },
      dark: {
        bg: 'lab(16.3609% 37.191 25.6346)',
        text: 'lab(71.881% 41.5 29.4839)'
      }
    },
    danger: {
      light: {
        bg: 'lab(94.7916% -.0000298023 0)',
        text: 'lab(54.3656% 0 -.0000119209)'
      },
      dark: {
        bg: 'lab(13.232% 0 0)',
        text: 'lab(51.6164% 0 0)'
      }
    }
  };
  const LIFECYCLE_THEME_MAP = {
    ea: 'info',
    ga: 'info',
    beta: 'info',
    deprecated: 'secondary',
    planned: 'danger'
  };
  const lifecycle = releaseLifecycle.toLocaleLowerCase();
  const lifecycleText = lifecycleMap[lifecycle];
  if (!lifecycleText) {
    return null;
  }
  const theme = LIFECYCLE_THEMES[LIFECYCLE_THEME_MAP[lifecycle]];
  return <div>
      <div className="api-section-heading flex flex-col gap-y-4 w-full">
        <div className="flex items-baseline border-b pb-2.5 border-gray-100 dark:border-gray-800 w-full">
          <h4 className="api-section-heading-title flex-1 mb-0">
            Release Lifecycle
          </h4>
        </div>
      </div>
      <div className="flex font-mono text-sm group/param-head param-head break-all relative mt-2.5" id="releaselifecycle-lifecycle">
        <div className="flex-1 flex flex-col content-start py-0.5 mr-5">
          <div className="flex items-center flex-wrap gap-2">
            <div className="absolute -top-1.5">
              <a href="#releaselifecycle-lifecycle" className="-ml-10 flex items-center opacity-0 border-0 group-hover/param-head:opacity-100 focus:opacity-100 focus:outline-0 py-2 [.expandable-content_&]:-ml-[2.1rem] group/link" aria-label="Navigate to header">
                <div className="w-6 h-6 rounded-md flex items-center justify-center shadow-sm text-gray-400 dark:text-white/50 dark:bg-background-dark dark:brightness-[1.35] dark:ring-1 dark:hover:brightness-150 bg-white ring-1 ring-gray-400/30 dark:ring-gray-700/25 hover:ring-gray-400/60 dark:hover:ring-white/20 group-focus/link:border-2 group-focus/link:border-primary dark:group-focus/link:border-primary-light">
                  <svg xmlns="http://www.w3.org/2000/svg" fill="gray" height="12px" viewBox="0 0 576 512">
                    <path d="M0 256C0 167.6 71.6 96 160 96h72c13.3 0 24 10.7 24 24s-10.7 24-24 24H160C98.1 144 48 194.1 48 256s50.1 112 112 112h72c13.3 0 24 10.7 24 24s-10.7 24-24 24H160C71.6 416 0 344.4 0 256zm576 0c0 88.4-71.6 160-160 160H344c-13.3 0-24-10.7-24-24s10.7-24 24-24h72c61.9 0 112-50.1 112-112s-50.1-112-112-112H344c-13.3 0-24-10.7-24-24s10.7-24 24-24h72c88.4 0 160 71.6 160 160zM184 232H392c13.3 0 24 10.7 24 24s-10.7 24-24 24H184c-13.3 0-24-10.7-24-24s10.7-24 24-24z"></path>
                  </svg>
                </div>
              </a>
            </div>
            <span className="inline-flex items-center w-fit font-medium gap-1 py-0.5 px-2 rounded-md" style={{
    lineHeight: '1rem',
    fontSize: '0.75rem',
    fontFamily: 'var(--font-jetbrains-mono), ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace',
    backgroundColor: `light-dark(${theme.light.bg}, ${theme.dark.bg})`,
    color: `light-dark(${theme.light.text}, ${theme.dark.text})`,
    borderColor: `light-dark(color-mix(in oklab, ${theme.light.text} 25%, transparent), color-mix(in oklab, ${theme.dark.text} 25%, transparent))`
  }}>
              {lifecycleText}
            </span>
          </div>
        </div>
      </div>
    </div>;
};

<ApiReleaseLifecycle releaseLifecycle="GA" />

<Scopes scopes={["update:branding"]} />


## OpenAPI

````yaml management-api-oas patch /branding/themes/{themeId}
openapi: 3.1.0
info:
  title: Auth0 Management API
  description: Auth0 Management API v2.
  termsOfService: https://auth0.com/web-terms/
  contact:
    name: Auth0 Support
    url: https://support.auth0.com
  version: '2.0'
servers:
  - url: https://{tenantDomain}/api/v2
    variables:
      tenantDomain:
        default: '{TENANT}.auth0.com'
        description: Auth0 Tenant Domain
security:
  - bearerAuth: []
externalDocs:
  description: Auth0 Management API Documentation
  url: https://auth0.com/docs/api/management/v2/
paths:
  /branding/themes/{themeId}:
    patch:
      tags:
        - branding
      summary: Update branding theme
      description: Update branding theme.
      operationId: patch_branding_theme
      parameters:
        - name: themeId
          in: path
          description: The ID of the theme
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateBrandingThemeRequestContent'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/UpdateBrandingThemeRequestContent'
      responses:
        '200':
          description: Branding settings successfully updated.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateBrandingThemeResponseContent'
        '400':
          description: Invalid request body. The message will vary depending on the cause.
        '401':
          description: Invalid token.
          x-description-1: Client is not global.
          x-description-2: Invalid signature received for JSON Web Token validation.
        '403':
          description: 'Insufficient scope; expected any of: update:branding.'
        '404':
          description: 'There was an error updating branding settings: invalid theme ID'
        '429':
          description: >-
            Too many requests. Check the X-RateLimit-Limit,
            X-RateLimit-Remaining and X-RateLimit-Reset headers.
      security:
        - bearerAuth: []
        - oAuth2ClientCredentials:
            - update:branding
      x-codeSamples:
        - lang: csharp
          label: Update branding theme
          source: |
            using Auth0.ManagementApi;
            using System.Threading.Tasks;
            using Auth0.ManagementApi.Branding;

            public partial class Examples
            {
                public async Task Example() {
                    var client = new ManagementClient(
                        token: "<token>"
                    );

                    await client.Branding.Themes.UpdateAsync(
                        themeId: "themeId",
                        request: new UpdateBrandingThemeRequestContent {
                            Borders = new BrandingThemeBorders {
                                ButtonBorderRadius = 1.1,
                                ButtonBorderWeight = 1.1,
                                ButtonsStyle = BrandingThemeBordersButtonsStyleEnum.Pill,
                                InputBorderRadius = 1.1,
                                InputBorderWeight = 1.1,
                                InputsStyle = BrandingThemeBordersInputsStyleEnum.Pill,
                                ShowWidgetShadow = true,
                                WidgetBorderWeight = 1.1,
                                WidgetCornerRadius = 1.1
                            },
                            Colors = new BrandingThemeColors {
                                BodyText = "body_text",
                                Error = "error",
                                Header = "header",
                                Icons = "icons",
                                InputBackground = "input_background",
                                InputBorder = "input_border",
                                InputFilledText = "input_filled_text",
                                InputLabelsPlaceholders = "input_labels_placeholders",
                                LinksFocusedComponents = "links_focused_components",
                                PrimaryButton = "primary_button",
                                PrimaryButtonLabel = "primary_button_label",
                                SecondaryButtonBorder = "secondary_button_border",
                                SecondaryButtonLabel = "secondary_button_label",
                                Success = "success",
                                WidgetBackground = "widget_background",
                                WidgetBorder = "widget_border"
                            },
                            Fonts = new BrandingThemeFonts {
                                BodyText = new BrandingThemeFontBodyText {
                                    Bold = true,
                                    Size = 1.1
                                },
                                ButtonsText = new BrandingThemeFontButtonsText {
                                    Bold = true,
                                    Size = 1.1
                                },
                                FontUrl = "font_url",
                                InputLabels = new BrandingThemeFontInputLabels {
                                    Bold = true,
                                    Size = 1.1
                                },
                                Links = new BrandingThemeFontLinks {
                                    Bold = true,
                                    Size = 1.1
                                },
                                LinksStyle = BrandingThemeFontLinksStyleEnum.Normal,
                                ReferenceTextSize = 1.1,
                                Subtitle = new BrandingThemeFontSubtitle {
                                    Bold = true,
                                    Size = 1.1
                                },
                                Title = new BrandingThemeFontTitle {
                                    Bold = true,
                                    Size = 1.1
                                }
                            },
                            PageBackground = new BrandingThemePageBackground {
                                BackgroundColor = "background_color",
                                BackgroundImageUrl = "background_image_url",
                                PageLayout = BrandingThemePageBackgroundPageLayoutEnum.Center
                            },
                            Widget = new BrandingThemeWidget {
                                HeaderTextAlignment = BrandingThemeWidgetHeaderTextAlignmentEnum.Center,
                                LogoHeight = 1.1,
                                LogoPosition = BrandingThemeWidgetLogoPositionEnum.Center,
                                LogoUrl = "logo_url",
                                SocialButtonsLayout = BrandingThemeWidgetSocialButtonsLayoutEnum.Bottom
                            }
                        }
                    );
                }

            }
        - lang: go
          label: Update branding theme
          source: |
            package example

            import (
                context "context"

                management "github.com/auth0/go-auth0/management/management"
                branding "github.com/auth0/go-auth0/management/management/branding"
                client "github.com/auth0/go-auth0/management/management/client"
                option "github.com/auth0/go-auth0/management/management/option"
            )

            func do() {
                client := client.NewClient(
                    option.WithToken(
                        "<token>",
                    ),
                )
                request := &branding.UpdateBrandingThemeRequestContent{
                    Borders: &management.BrandingThemeBorders{
                        ButtonBorderRadius: 1.1,
                        ButtonBorderWeight: 1.1,
                        ButtonsStyle: management.BrandingThemeBordersButtonsStyleEnumPill,
                        InputBorderRadius: 1.1,
                        InputBorderWeight: 1.1,
                        InputsStyle: management.BrandingThemeBordersInputsStyleEnumPill,
                        ShowWidgetShadow: true,
                        WidgetBorderWeight: 1.1,
                        WidgetCornerRadius: 1.1,
                    },
                    Colors: &management.BrandingThemeColors{
                        BodyText: "body_text",
                        Error: "error",
                        Header: "header",
                        Icons: "icons",
                        InputBackground: "input_background",
                        InputBorder: "input_border",
                        InputFilledText: "input_filled_text",
                        InputLabelsPlaceholders: "input_labels_placeholders",
                        LinksFocusedComponents: "links_focused_components",
                        PrimaryButton: "primary_button",
                        PrimaryButtonLabel: "primary_button_label",
                        SecondaryButtonBorder: "secondary_button_border",
                        SecondaryButtonLabel: "secondary_button_label",
                        Success: "success",
                        WidgetBackground: "widget_background",
                        WidgetBorder: "widget_border",
                    },
                    Fonts: &management.BrandingThemeFonts{
                        BodyText: &management.BrandingThemeFontBodyText{
                            Bold: true,
                            Size: 1.1,
                        },
                        ButtonsText: &management.BrandingThemeFontButtonsText{
                            Bold: true,
                            Size: 1.1,
                        },
                        FontUrl: "font_url",
                        InputLabels: &management.BrandingThemeFontInputLabels{
                            Bold: true,
                            Size: 1.1,
                        },
                        Links: &management.BrandingThemeFontLinks{
                            Bold: true,
                            Size: 1.1,
                        },
                        LinksStyle: management.BrandingThemeFontLinksStyleEnumNormal,
                        ReferenceTextSize: 1.1,
                        Subtitle: &management.BrandingThemeFontSubtitle{
                            Bold: true,
                            Size: 1.1,
                        },
                        Title: &management.BrandingThemeFontTitle{
                            Bold: true,
                            Size: 1.1,
                        },
                    },
                    PageBackground: &management.BrandingThemePageBackground{
                        BackgroundColor: "background_color",
                        BackgroundImageUrl: "background_image_url",
                        PageLayout: management.BrandingThemePageBackgroundPageLayoutEnumCenter,
                    },
                    Widget: &management.BrandingThemeWidget{
                        HeaderTextAlignment: management.BrandingThemeWidgetHeaderTextAlignmentEnumCenter,
                        LogoHeight: 1.1,
                        LogoPosition: management.BrandingThemeWidgetLogoPositionEnumCenter,
                        LogoUrl: "logo_url",
                        SocialButtonsLayout: management.BrandingThemeWidgetSocialButtonsLayoutEnumBottom,
                    },
                }
                client.Branding.Themes.Update(
                    context.TODO(),
                    "themeId",
                    request,
                )
            }
        - lang: java
          label: Update branding theme
          source: >-
            package com.example.usage;


            import com.auth0.client.mgmt.ManagementApi;

            import
            com.auth0.client.mgmt.resources.branding.themes.requests.UpdateBrandingThemeRequestContent;

            import com.auth0.client.mgmt.types.BrandingThemeBorders;

            import
            com.auth0.client.mgmt.types.BrandingThemeBordersButtonsStyleEnum;

            import
            com.auth0.client.mgmt.types.BrandingThemeBordersInputsStyleEnum;

            import com.auth0.client.mgmt.types.BrandingThemeColors;

            import com.auth0.client.mgmt.types.BrandingThemeFontBodyText;

            import com.auth0.client.mgmt.types.BrandingThemeFontButtonsText;

            import com.auth0.client.mgmt.types.BrandingThemeFontInputLabels;

            import com.auth0.client.mgmt.types.BrandingThemeFontLinks;

            import com.auth0.client.mgmt.types.BrandingThemeFontLinksStyleEnum;

            import com.auth0.client.mgmt.types.BrandingThemeFontSubtitle;

            import com.auth0.client.mgmt.types.BrandingThemeFontTitle;

            import com.auth0.client.mgmt.types.BrandingThemeFonts;

            import com.auth0.client.mgmt.types.BrandingThemePageBackground;

            import
            com.auth0.client.mgmt.types.BrandingThemePageBackgroundPageLayoutEnum;

            import com.auth0.client.mgmt.types.BrandingThemeWidget;

            import
            com.auth0.client.mgmt.types.BrandingThemeWidgetHeaderTextAlignmentEnum;

            import
            com.auth0.client.mgmt.types.BrandingThemeWidgetLogoPositionEnum;

            import
            com.auth0.client.mgmt.types.BrandingThemeWidgetSocialButtonsLayoutEnum;


            public class Example {
                public static void main(String[] args) {
                    ManagementApi client = ManagementApi
                        .builder()
                        .token("<token>")
                        .build();

                    client.branding().themes().update(
                        "themeId",
                        UpdateBrandingThemeRequestContent
                            .builder()
                            .borders(
                                BrandingThemeBorders
                                    .builder()
                                    .buttonBorderRadius(1.1)
                                    .buttonBorderWeight(1.1)
                                    .buttonsStyle(BrandingThemeBordersButtonsStyleEnum.PILL)
                                    .inputBorderRadius(1.1)
                                    .inputBorderWeight(1.1)
                                    .inputsStyle(BrandingThemeBordersInputsStyleEnum.PILL)
                                    .showWidgetShadow(true)
                                    .widgetBorderWeight(1.1)
                                    .widgetCornerRadius(1.1)
                                    .build()
                            )
                            .colors(
                                BrandingThemeColors
                                    .builder()
                                    .bodyText("body_text")
                                    .error("error")
                                    .header("header")
                                    .icons("icons")
                                    .inputBackground("input_background")
                                    .inputBorder("input_border")
                                    .inputFilledText("input_filled_text")
                                    .inputLabelsPlaceholders("input_labels_placeholders")
                                    .linksFocusedComponents("links_focused_components")
                                    .primaryButton("primary_button")
                                    .primaryButtonLabel("primary_button_label")
                                    .secondaryButtonBorder("secondary_button_border")
                                    .secondaryButtonLabel("secondary_button_label")
                                    .success("success")
                                    .widgetBackground("widget_background")
                                    .widgetBorder("widget_border")
                                    .build()
                            )
                            .fonts(
                                BrandingThemeFonts
                                    .builder()
                                    .bodyText(
                                        BrandingThemeFontBodyText
                                            .builder()
                                            .bold(true)
                                            .size(1.1)
                                            .build()
                                    )
                                    .buttonsText(
                                        BrandingThemeFontButtonsText
                                            .builder()
                                            .bold(true)
                                            .size(1.1)
                                            .build()
                                    )
                                    .fontUrl("font_url")
                                    .inputLabels(
                                        BrandingThemeFontInputLabels
                                            .builder()
                                            .bold(true)
                                            .size(1.1)
                                            .build()
                                    )
                                    .links(
                                        BrandingThemeFontLinks
                                            .builder()
                                            .bold(true)
                                            .size(1.1)
                                            .build()
                                    )
                                    .linksStyle(BrandingThemeFontLinksStyleEnum.NORMAL)
                                    .referenceTextSize(1.1)
                                    .subtitle(
                                        BrandingThemeFontSubtitle
                                            .builder()
                                            .bold(true)
                                            .size(1.1)
                                            .build()
                                    )
                                    .title(
                                        BrandingThemeFontTitle
                                            .builder()
                                            .bold(true)
                                            .size(1.1)
                                            .build()
                                    )
                                    .build()
                            )
                            .pageBackground(
                                BrandingThemePageBackground
                                    .builder()
                                    .backgroundColor("background_color")
                                    .backgroundImageUrl("background_image_url")
                                    .pageLayout(BrandingThemePageBackgroundPageLayoutEnum.CENTER)
                                    .build()
                            )
                            .widget(
                                BrandingThemeWidget
                                    .builder()
                                    .headerTextAlignment(BrandingThemeWidgetHeaderTextAlignmentEnum.CENTER)
                                    .logoHeight(1.1)
                                    .logoPosition(BrandingThemeWidgetLogoPositionEnum.CENTER)
                                    .logoUrl("logo_url")
                                    .socialButtonsLayout(BrandingThemeWidgetSocialButtonsLayoutEnum.BOTTOM)
                                    .build()
                            )
                            .build()
                    );
                }
            }
        - lang: php
          label: Update branding theme
          source: >
            <?php


            namespace Example;


            use Auth0\SDK\API\Management\Management;

            use
            Auth0\SDK\API\Management\Branding\Themes\Requests\UpdateBrandingThemeRequestContent;

            use Auth0\SDK\API\Management\Types\BrandingThemeBorders;

            use
            Auth0\SDK\API\Management\Types\BrandingThemeBordersButtonsStyleEnum;

            use
            Auth0\SDK\API\Management\Types\BrandingThemeBordersInputsStyleEnum;

            use Auth0\SDK\API\Management\Types\BrandingThemeColors;

            use Auth0\SDK\API\Management\Types\BrandingThemeFonts;

            use Auth0\SDK\API\Management\Types\BrandingThemeFontBodyText;

            use Auth0\SDK\API\Management\Types\BrandingThemeFontButtonsText;

            use Auth0\SDK\API\Management\Types\BrandingThemeFontInputLabels;

            use Auth0\SDK\API\Management\Types\BrandingThemeFontLinks;

            use Auth0\SDK\API\Management\Types\BrandingThemeFontLinksStyleEnum;

            use Auth0\SDK\API\Management\Types\BrandingThemeFontSubtitle;

            use Auth0\SDK\API\Management\Types\BrandingThemeFontTitle;

            use Auth0\SDK\API\Management\Types\BrandingThemePageBackground;

            use
            Auth0\SDK\API\Management\Types\BrandingThemePageBackgroundPageLayoutEnum;

            use Auth0\SDK\API\Management\Types\BrandingThemeWidget;

            use
            Auth0\SDK\API\Management\Types\BrandingThemeWidgetHeaderTextAlignmentEnum;

            use
            Auth0\SDK\API\Management\Types\BrandingThemeWidgetLogoPositionEnum;

            use
            Auth0\SDK\API\Management\Types\BrandingThemeWidgetSocialButtonsLayoutEnum;


            $client = new Management(
                token: '<token>',
            );

            $client->branding->themes->update(
                'themeId',
                new UpdateBrandingThemeRequestContent([
                    'borders' => new BrandingThemeBorders([
                        'buttonBorderRadius' => 1.1,
                        'buttonBorderWeight' => 1.1,
                        'buttonsStyle' => BrandingThemeBordersButtonsStyleEnum::Pill->value,
                        'inputBorderRadius' => 1.1,
                        'inputBorderWeight' => 1.1,
                        'inputsStyle' => BrandingThemeBordersInputsStyleEnum::Pill->value,
                        'showWidgetShadow' => true,
                        'widgetBorderWeight' => 1.1,
                        'widgetCornerRadius' => 1.1,
                    ]),
                    'colors' => new BrandingThemeColors([
                        'bodyText' => 'body_text',
                        'error' => 'error',
                        'header' => 'header',
                        'icons' => 'icons',
                        'inputBackground' => 'input_background',
                        'inputBorder' => 'input_border',
                        'inputFilledText' => 'input_filled_text',
                        'inputLabelsPlaceholders' => 'input_labels_placeholders',
                        'linksFocusedComponents' => 'links_focused_components',
                        'primaryButton' => 'primary_button',
                        'primaryButtonLabel' => 'primary_button_label',
                        'secondaryButtonBorder' => 'secondary_button_border',
                        'secondaryButtonLabel' => 'secondary_button_label',
                        'success' => 'success',
                        'widgetBackground' => 'widget_background',
                        'widgetBorder' => 'widget_border',
                    ]),
                    'fonts' => new BrandingThemeFonts([
                        'bodyText' => new BrandingThemeFontBodyText([
                            'bold' => true,
                            'size' => 1.1,
                        ]),
                        'buttonsText' => new BrandingThemeFontButtonsText([
                            'bold' => true,
                            'size' => 1.1,
                        ]),
                        'fontUrl' => 'font_url',
                        'inputLabels' => new BrandingThemeFontInputLabels([
                            'bold' => true,
                            'size' => 1.1,
                        ]),
                        'links' => new BrandingThemeFontLinks([
                            'bold' => true,
                            'size' => 1.1,
                        ]),
                        'linksStyle' => BrandingThemeFontLinksStyleEnum::Normal->value,
                        'referenceTextSize' => 1.1,
                        'subtitle' => new BrandingThemeFontSubtitle([
                            'bold' => true,
                            'size' => 1.1,
                        ]),
                        'title' => new BrandingThemeFontTitle([
                            'bold' => true,
                            'size' => 1.1,
                        ]),
                    ]),
                    'pageBackground' => new BrandingThemePageBackground([
                        'backgroundColor' => 'background_color',
                        'backgroundImageUrl' => 'background_image_url',
                        'pageLayout' => BrandingThemePageBackgroundPageLayoutEnum::Center->value,
                    ]),
                    'widget' => new BrandingThemeWidget([
                        'headerTextAlignment' => BrandingThemeWidgetHeaderTextAlignmentEnum::Center->value,
                        'logoHeight' => 1.1,
                        'logoPosition' => BrandingThemeWidgetLogoPositionEnum::Center->value,
                        'logoUrl' => 'logo_url',
                        'socialButtonsLayout' => BrandingThemeWidgetSocialButtonsLayoutEnum::Bottom->value,
                    ]),
                ]),
            );
        - lang: python
          label: Update branding theme
          source: >
            from auth0.management import ManagementClient, BrandingThemeBorders,
            BrandingThemeColors, BrandingThemeFonts, BrandingThemeFontBodyText,
            BrandingThemeFontButtonsText, BrandingThemeFontInputLabels,
            BrandingThemeFontLinks, BrandingThemeFontSubtitle,
            BrandingThemeFontTitle, BrandingThemePageBackground,
            BrandingThemeWidget


            client = ManagementClient(
                token="<token>",
            )


            client.branding.themes.update(
                theme_id="themeId",
                borders=BrandingThemeBorders(
                    button_border_radius=1.1,
                    button_border_weight=1.1,
                    buttons_style="pill",
                    input_border_radius=1.1,
                    input_border_weight=1.1,
                    inputs_style="pill",
                    show_widget_shadow=True,
                    widget_border_weight=1.1,
                    widget_corner_radius=1.1,
                ),
                colors=BrandingThemeColors(
                    body_text="body_text",
                    error="error",
                    header="header",
                    icons="icons",
                    input_background="input_background",
                    input_border="input_border",
                    input_filled_text="input_filled_text",
                    input_labels_placeholders="input_labels_placeholders",
                    links_focused_components="links_focused_components",
                    primary_button="primary_button",
                    primary_button_label="primary_button_label",
                    secondary_button_border="secondary_button_border",
                    secondary_button_label="secondary_button_label",
                    success="success",
                    widget_background="widget_background",
                    widget_border="widget_border",
                ),
                fonts=BrandingThemeFonts(
                    body_text=BrandingThemeFontBodyText(
                        bold=True,
                        size=1.1,
                    ),
                    buttons_text=BrandingThemeFontButtonsText(
                        bold=True,
                        size=1.1,
                    ),
                    font_url="font_url",
                    input_labels=BrandingThemeFontInputLabels(
                        bold=True,
                        size=1.1,
                    ),
                    links=BrandingThemeFontLinks(
                        bold=True,
                        size=1.1,
                    ),
                    links_style="normal",
                    reference_text_size=1.1,
                    subtitle=BrandingThemeFontSubtitle(
                        bold=True,
                        size=1.1,
                    ),
                    title=BrandingThemeFontTitle(
                        bold=True,
                        size=1.1,
                    ),
                ),
                page_background=BrandingThemePageBackground(
                    background_color="background_color",
                    background_image_url="background_image_url",
                    page_layout="center",
                ),
                widget=BrandingThemeWidget(
                    header_text_alignment="center",
                    logo_height=1.1,
                    logo_position="center",
                    logo_url="logo_url",
                    social_buttons_layout="bottom",
                ),
            )
        - lang: ruby
          label: Update branding theme
          source: |
            require "auth0"

            client = Auth0::Management.new(token: "<token>")

            client.branding.themes.update(
              theme_id: "themeId",
              borders: {
                button_border_radius: 1.1,
                button_border_weight: 1.1,
                buttons_style: "pill",
                input_border_radius: 1.1,
                input_border_weight: 1.1,
                inputs_style: "pill",
                show_widget_shadow: true,
                widget_border_weight: 1.1,
                widget_corner_radius: 1.1
              },
              colors: {
                body_text: "body_text",
                error: "error",
                header: "header",
                icons: "icons",
                input_background: "input_background",
                input_border: "input_border",
                input_filled_text: "input_filled_text",
                input_labels_placeholders: "input_labels_placeholders",
                links_focused_components: "links_focused_components",
                primary_button: "primary_button",
                primary_button_label: "primary_button_label",
                secondary_button_border: "secondary_button_border",
                secondary_button_label: "secondary_button_label",
                success: "success",
                widget_background: "widget_background",
                widget_border: "widget_border"
              },
              fonts: {
                body_text: {
                  bold: true,
                  size: 1.1
                },
                buttons_text: {
                  bold: true,
                  size: 1.1
                },
                font_url: "font_url",
                input_labels: {
                  bold: true,
                  size: 1.1
                },
                links: {
                  bold: true,
                  size: 1.1
                },
                links_style: "normal",
                reference_text_size: 1.1,
                subtitle: {
                  bold: true,
                  size: 1.1
                },
                title: {
                  bold: true,
                  size: 1.1
                }
              },
              page_background: {
                background_color: "background_color",
                background_image_url: "background_image_url",
                page_layout: "center"
              },
              widget: {
                header_text_alignment: "center",
                logo_height: 1.1,
                logo_position: "center",
                logo_url: "logo_url",
                social_buttons_layout: "bottom"
              }
            )
        - lang: typescript
          label: Update branding theme
          source: |
            import { ManagementClient } from "auth0";

            async function main() {
                const client = new ManagementClient({
                    token: "<token>",
                });
                await client.branding.themes.update("themeId", {
                    borders: {
                        buttonBorderRadius: 1.1,
                        buttonBorderWeight: 1.1,
                        buttonsStyle: "pill",
                        inputBorderRadius: 1.1,
                        inputBorderWeight: 1.1,
                        inputsStyle: "pill",
                        showWidgetShadow: true,
                        widgetBorderWeight: 1.1,
                        widgetCornerRadius: 1.1,
                    },
                    colors: {
                        bodyText: "body_text",
                        error: "error",
                        header: "header",
                        icons: "icons",
                        inputBackground: "input_background",
                        inputBorder: "input_border",
                        inputFilledText: "input_filled_text",
                        inputLabelsPlaceholders: "input_labels_placeholders",
                        linksFocusedComponents: "links_focused_components",
                        primaryButton: "primary_button",
                        primaryButtonLabel: "primary_button_label",
                        secondaryButtonBorder: "secondary_button_border",
                        secondaryButtonLabel: "secondary_button_label",
                        success: "success",
                        widgetBackground: "widget_background",
                        widgetBorder: "widget_border",
                    },
                    fonts: {
                        bodyText: {
                            bold: true,
                            size: 1.1,
                        },
                        buttonsText: {
                            bold: true,
                            size: 1.1,
                        },
                        fontUrl: "font_url",
                        inputLabels: {
                            bold: true,
                            size: 1.1,
                        },
                        links: {
                            bold: true,
                            size: 1.1,
                        },
                        linksStyle: "normal",
                        referenceTextSize: 1.1,
                        subtitle: {
                            bold: true,
                            size: 1.1,
                        },
                        title: {
                            bold: true,
                            size: 1.1,
                        },
                    },
                    pageBackground: {
                        backgroundColor: "background_color",
                        backgroundImageUrl: "background_image_url",
                        pageLayout: "center",
                    },
                    widget: {
                        headerTextAlignment: "center",
                        logoHeight: 1.1,
                        logoPosition: "center",
                        logoUrl: "logo_url",
                        socialButtonsLayout: "bottom",
                    },
                });
            }
            main();
        - lang: javascript
          label: Update branding theme
          source: |
            import { ManagementClient } from "auth0";

            async function main() {
                const client = new ManagementClient({
                    token: "<token>",
                });
                await client.branding.themes.update("themeId", {
                    borders: {
                        buttonBorderRadius: 1.1,
                        buttonBorderWeight: 1.1,
                        buttonsStyle: "pill",
                        inputBorderRadius: 1.1,
                        inputBorderWeight: 1.1,
                        inputsStyle: "pill",
                        showWidgetShadow: true,
                        widgetBorderWeight: 1.1,
                        widgetCornerRadius: 1.1,
                    },
                    colors: {
                        bodyText: "body_text",
                        error: "error",
                        header: "header",
                        icons: "icons",
                        inputBackground: "input_background",
                        inputBorder: "input_border",
                        inputFilledText: "input_filled_text",
                        inputLabelsPlaceholders: "input_labels_placeholders",
                        linksFocusedComponents: "links_focused_components",
                        primaryButton: "primary_button",
                        primaryButtonLabel: "primary_button_label",
                        secondaryButtonBorder: "secondary_button_border",
                        secondaryButtonLabel: "secondary_button_label",
                        success: "success",
                        widgetBackground: "widget_background",
                        widgetBorder: "widget_border",
                    },
                    fonts: {
                        bodyText: {
                            bold: true,
                            size: 1.1,
                        },
                        buttonsText: {
                            bold: true,
                            size: 1.1,
                        },
                        fontUrl: "font_url",
                        inputLabels: {
                            bold: true,
                            size: 1.1,
                        },
                        links: {
                            bold: true,
                            size: 1.1,
                        },
                        linksStyle: "normal",
                        referenceTextSize: 1.1,
                        subtitle: {
                            bold: true,
                            size: 1.1,
                        },
                        title: {
                            bold: true,
                            size: 1.1,
                        },
                    },
                    pageBackground: {
                        backgroundColor: "background_color",
                        backgroundImageUrl: "background_image_url",
                        pageLayout: "center",
                    },
                    widget: {
                        headerTextAlignment: "center",
                        logoHeight: 1.1,
                        logoPosition: "center",
                        logoUrl: "logo_url",
                        socialButtonsLayout: "bottom",
                    },
                });
            }
            main();
components:
  schemas:
    UpdateBrandingThemeRequestContent:
      type: object
      description: Branding theme
      additionalProperties: false
      required:
        - borders
        - colors
        - fonts
        - page_background
        - widget
      minProperties: 1
      properties:
        borders:
          $ref: '#/components/schemas/BrandingThemeBorders'
        colors:
          $ref: '#/components/schemas/BrandingThemeColors'
        displayName:
          type: string
          description: Display Name
          maxLength: 2048
          pattern: ^[^<>]*$
        fonts:
          $ref: '#/components/schemas/BrandingThemeFonts'
        page_background:
          $ref: '#/components/schemas/BrandingThemePageBackground'
        widget:
          $ref: '#/components/schemas/BrandingThemeWidget'
    UpdateBrandingThemeResponseContent:
      type: object
      additionalProperties: false
      required:
        - borders
        - colors
        - displayName
        - fonts
        - page_background
        - themeId
        - widget
      properties:
        borders:
          $ref: '#/components/schemas/BrandingThemeBorders'
        colors:
          $ref: '#/components/schemas/BrandingThemeColors'
        displayName:
          type: string
          description: Display Name
          maxLength: 2048
          pattern: ^[^<>]*$
        fonts:
          $ref: '#/components/schemas/BrandingThemeFonts'
        page_background:
          $ref: '#/components/schemas/BrandingThemePageBackground'
        themeId:
          type: string
          description: Theme Id
          maxLength: 32
          pattern: ^[a-zA-Z0-9]{32}$
        widget:
          $ref: '#/components/schemas/BrandingThemeWidget'
    BrandingThemeBorders:
      type: object
      additionalProperties: false
      required:
        - button_border_radius
        - button_border_weight
        - buttons_style
        - input_border_radius
        - input_border_weight
        - inputs_style
        - show_widget_shadow
        - widget_border_weight
        - widget_corner_radius
      properties:
        button_border_radius:
          type: number
          description: Button border radius
          minimum: 1
          maximum: 10
        button_border_weight:
          type: number
          description: Button border weight
          minimum: 0
          maximum: 10
        buttons_style:
          $ref: '#/components/schemas/BrandingThemeBordersButtonsStyleEnum'
        input_border_radius:
          type: number
          description: Input border radius
          minimum: 0
          maximum: 10
        input_border_weight:
          type: number
          description: Input border weight
          minimum: 0
          maximum: 3
        inputs_style:
          $ref: '#/components/schemas/BrandingThemeBordersInputsStyleEnum'
        show_widget_shadow:
          type: boolean
          description: Show widget shadow
        widget_border_weight:
          type: number
          description: Widget border weight
          minimum: 0
          maximum: 10
        widget_corner_radius:
          type: number
          description: Widget corner radius
          minimum: 0
          maximum: 50
    BrandingThemeColors:
      type: object
      additionalProperties: false
      required:
        - body_text
        - error
        - header
        - icons
        - input_background
        - input_border
        - input_filled_text
        - input_labels_placeholders
        - links_focused_components
        - primary_button
        - primary_button_label
        - secondary_button_border
        - secondary_button_label
        - success
        - widget_background
        - widget_border
      properties:
        base_focus_color:
          type: string
          description: Base Focus Color
          pattern: ^#(([0-9a-fA-F]{3}){1,2}|([0-9a-fA-F]{4}){1,2})$
        base_hover_color:
          type: string
          description: Base Hover Color
          pattern: ^#(([0-9a-fA-F]{3}){1,2}|([0-9a-fA-F]{4}){1,2})$
        body_text:
          type: string
          description: Body text
          pattern: ^#(([0-9a-fA-F]{3}){1,2}|([0-9a-fA-F]{4}){1,2})$
        captcha_widget_theme:
          $ref: '#/components/schemas/BrandingThemeColorsCaptchaWidgetThemeEnum'
        error:
          type: string
          description: Error
          pattern: ^#(([0-9a-fA-F]{3}){1,2}|([0-9a-fA-F]{4}){1,2})$
        header:
          type: string
          description: Header
          pattern: ^#(([0-9a-fA-F]{3}){1,2}|([0-9a-fA-F]{4}){1,2})$
        icons:
          type: string
          description: Icons
          pattern: ^#(([0-9a-fA-F]{3}){1,2}|([0-9a-fA-F]{4}){1,2})$
        input_background:
          type: string
          description: Input background
          pattern: ^#(([0-9a-fA-F]{3}){1,2}|([0-9a-fA-F]{4}){1,2})$
        input_border:
          type: string
          description: Input border
          pattern: ^#(([0-9a-fA-F]{3}){1,2}|([0-9a-fA-F]{4}){1,2})$
        input_filled_text:
          type: string
          description: Input filled text
          pattern: ^#(([0-9a-fA-F]{3}){1,2}|([0-9a-fA-F]{4}){1,2})$
        input_labels_placeholders:
          type: string
          description: Input labels & placeholders
          pattern: ^#(([0-9a-fA-F]{3}){1,2}|([0-9a-fA-F]{4}){1,2})$
        links_focused_components:
          type: string
          description: Links & focused components
          pattern: ^#(([0-9a-fA-F]{3}){1,2}|([0-9a-fA-F]{4}){1,2})$
        primary_button:
          type: string
          description: Primary button
          pattern: ^#(([0-9a-fA-F]{3}){1,2}|([0-9a-fA-F]{4}){1,2})$
        primary_button_label:
          type: string
          description: Primary button label
          pattern: ^#(([0-9a-fA-F]{3}){1,2}|([0-9a-fA-F]{4}){1,2})$
        read_only_background:
          type: string
          description: Read only background
          pattern: ^#(([0-9a-fA-F]{3}){1,2}|([0-9a-fA-F]{4}){1,2})$
        secondary_button_border:
          type: string
          description: Secondary button border
          pattern: ^#(([0-9a-fA-F]{3}){1,2}|([0-9a-fA-F]{4}){1,2})$
        secondary_button_label:
          type: string
          description: Secondary button label
          pattern: ^#(([0-9a-fA-F]{3}){1,2}|([0-9a-fA-F]{4}){1,2})$
        success:
          type: string
          description: Success
          pattern: ^#(([0-9a-fA-F]{3}){1,2}|([0-9a-fA-F]{4}){1,2})$
        widget_background:
          type: string
          description: Widget background
          pattern: ^#(([0-9a-fA-F]{3}){1,2}|([0-9a-fA-F]{4}){1,2})$
        widget_border:
          type: string
          description: Widget border
          pattern: ^#(([0-9a-fA-F]{3}){1,2}|([0-9a-fA-F]{4}){1,2})$
    BrandingThemeFonts:
      type: object
      additionalProperties: false
      required:
        - body_text
        - buttons_text
        - font_url
        - input_labels
        - links
        - links_style
        - reference_text_size
        - subtitle
        - title
      properties:
        body_text:
          $ref: '#/components/schemas/BrandingThemeFontBodyText'
        buttons_text:
          $ref: '#/components/schemas/BrandingThemeFontButtonsText'
        font_url:
          type: string
          description: Font URL
          pattern: >-
            ^$|^(?=.)(?!https?:\/(?:$|[^/]))(?!https?:\/\/\/)(?!https?:[^/])(?:(?:https):(?:(?:\/\/(?:[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:]*@)?(?:\[(?:(?:(?:[\dA-Fa-f]{1,4}:){6}(?:[\dA-Fa-f]{1,4}:[\dA-Fa-f]{1,4}|(?:(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.){3}(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|::(?:[\dA-Fa-f]{1,4}:){5}(?:[\dA-Fa-f]{1,4}:[\dA-Fa-f]{1,4}|(?:(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.){3}(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|(?:[\dA-Fa-f]{1,4})?::(?:[\dA-Fa-f]{1,4}:){4}(?:[\dA-Fa-f]{1,4}:[\dA-Fa-f]{1,4}|(?:(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.){3}(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|(?:(?:[\dA-Fa-f]{1,4}:){0,1}[\dA-Fa-f]{1,4})?::(?:[\dA-Fa-f]{1,4}:){3}(?:[\dA-Fa-f]{1,4}:[\dA-Fa-f]{1,4}|(?:(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.){3}(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|(?:(?:[\dA-Fa-f]{1,4}:){0,2}[\dA-Fa-f]{1,4})?::(?:[\dA-Fa-f]{1,4}:){2}(?:[\dA-Fa-f]{1,4}:[\dA-Fa-f]{1,4}|(?:(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.){3}(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|(?:(?:[\dA-Fa-f]{1,4}:){0,3}[\dA-Fa-f]{1,4})?::[\dA-Fa-f]{1,4}:(?:[\dA-Fa-f]{1,4}:[\dA-Fa-f]{1,4}|(?:(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.){3}(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|(?:(?:[\dA-Fa-f]{1,4}:){0,4}[\dA-Fa-f]{1,4})?::(?:[\dA-Fa-f]{1,4}:[\dA-Fa-f]{1,4}|(?:(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.){3}(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|(?:(?:[\dA-Fa-f]{1,4}:){0,5}[\dA-Fa-f]{1,4})?::[\dA-Fa-f]{1,4}|(?:(?:[\dA-Fa-f]{1,4}:){0,6}[\dA-Fa-f]{1,4})?::)|v[\dA-Fa-f]+\.[\w-\.~!\$&'\(\)\*\+,;=:]+)\]|(?:(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.){3}(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5])|[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=]{1,255})(?::\d*)?(?:\/[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:@]*)*)|\/(?:[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:@]+(?:\/[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:@]*)*)?|[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:@]+(?:\/[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:@]*)*|(?:\/\/\/[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:@]*(?:\/[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:@]*)*)))(?:\?[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:@\/\?]*(?=#|$))?(?:#[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:@\/\?]*)?$
        input_labels:
          $ref: '#/components/schemas/BrandingThemeFontInputLabels'
        links:
          $ref: '#/components/schemas/BrandingThemeFontLinks'
        links_style:
          $ref: '#/components/schemas/BrandingThemeFontLinksStyleEnum'
        reference_text_size:
          type: number
          description: Reference text size
          minimum: 12
          maximum: 24
        subtitle:
          $ref: '#/components/schemas/BrandingThemeFontSubtitle'
        title:
          $ref: '#/components/schemas/BrandingThemeFontTitle'
    BrandingThemePageBackground:
      type: object
      additionalProperties: false
      required:
        - background_color
        - background_image_url
        - page_layout
      properties:
        background_color:
          type: string
          description: Background color
          pattern: ^#(([0-9a-fA-F]{3}){1,2}|([0-9a-fA-F]{4}){1,2})$
        background_image_url:
          type: string
          description: Background image url
          pattern: >-
            ^$|^(?=.)(?!https?:\/(?:$|[^/]))(?!https?:\/\/\/)(?!https?:[^/])(?:(?:https):(?:(?:\/\/(?:[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:]*@)?(?:\[(?:(?:(?:[\dA-Fa-f]{1,4}:){6}(?:[\dA-Fa-f]{1,4}:[\dA-Fa-f]{1,4}|(?:(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.){3}(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|::(?:[\dA-Fa-f]{1,4}:){5}(?:[\dA-Fa-f]{1,4}:[\dA-Fa-f]{1,4}|(?:(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.){3}(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|(?:[\dA-Fa-f]{1,4})?::(?:[\dA-Fa-f]{1,4}:){4}(?:[\dA-Fa-f]{1,4}:[\dA-Fa-f]{1,4}|(?:(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.){3}(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|(?:(?:[\dA-Fa-f]{1,4}:){0,1}[\dA-Fa-f]{1,4})?::(?:[\dA-Fa-f]{1,4}:){3}(?:[\dA-Fa-f]{1,4}:[\dA-Fa-f]{1,4}|(?:(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.){3}(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|(?:(?:[\dA-Fa-f]{1,4}:){0,2}[\dA-Fa-f]{1,4})?::(?:[\dA-Fa-f]{1,4}:){2}(?:[\dA-Fa-f]{1,4}:[\dA-Fa-f]{1,4}|(?:(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.){3}(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|(?:(?:[\dA-Fa-f]{1,4}:){0,3}[\dA-Fa-f]{1,4})?::[\dA-Fa-f]{1,4}:(?:[\dA-Fa-f]{1,4}:[\dA-Fa-f]{1,4}|(?:(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.){3}(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|(?:(?:[\dA-Fa-f]{1,4}:){0,4}[\dA-Fa-f]{1,4})?::(?:[\dA-Fa-f]{1,4}:[\dA-Fa-f]{1,4}|(?:(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.){3}(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|(?:(?:[\dA-Fa-f]{1,4}:){0,5}[\dA-Fa-f]{1,4})?::[\dA-Fa-f]{1,4}|(?:(?:[\dA-Fa-f]{1,4}:){0,6}[\dA-Fa-f]{1,4})?::)|v[\dA-Fa-f]+\.[\w-\.~!\$&'\(\)\*\+,;=:]+)\]|(?:(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.){3}(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5])|[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=]{1,255})(?::\d*)?(?:\/[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:@]*)*)|\/(?:[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:@]+(?:\/[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:@]*)*)?|[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:@]+(?:\/[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:@]*)*|(?:\/\/\/[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:@]*(?:\/[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:@]*)*)))(?:\?[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:@\/\?]*(?=#|$))?(?:#[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:@\/\?]*)?$
        page_layout:
          $ref: '#/components/schemas/BrandingThemePageBackgroundPageLayoutEnum'
    BrandingThemeWidget:
      type: object
      additionalProperties: false
      required:
        - header_text_alignment
        - logo_height
        - logo_position
        - logo_url
        - social_buttons_layout
      properties:
        header_text_alignment:
          $ref: '#/components/schemas/BrandingThemeWidgetHeaderTextAlignmentEnum'
        logo_height:
          type: number
          description: Logo height
          minimum: 1
          maximum: 100
        logo_position:
          $ref: '#/components/schemas/BrandingThemeWidgetLogoPositionEnum'
        logo_url:
          type: string
          description: Logo url
          pattern: >-
            ^$|^(?=.)(?!https?:\/(?:$|[^/]))(?!https?:\/\/\/)(?!https?:[^/])(?:(?:https):(?:(?:\/\/(?:[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:]*@)?(?:\[(?:(?:(?:[\dA-Fa-f]{1,4}:){6}(?:[\dA-Fa-f]{1,4}:[\dA-Fa-f]{1,4}|(?:(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.){3}(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|::(?:[\dA-Fa-f]{1,4}:){5}(?:[\dA-Fa-f]{1,4}:[\dA-Fa-f]{1,4}|(?:(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.){3}(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|(?:[\dA-Fa-f]{1,4})?::(?:[\dA-Fa-f]{1,4}:){4}(?:[\dA-Fa-f]{1,4}:[\dA-Fa-f]{1,4}|(?:(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.){3}(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|(?:(?:[\dA-Fa-f]{1,4}:){0,1}[\dA-Fa-f]{1,4})?::(?:[\dA-Fa-f]{1,4}:){3}(?:[\dA-Fa-f]{1,4}:[\dA-Fa-f]{1,4}|(?:(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.){3}(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|(?:(?:[\dA-Fa-f]{1,4}:){0,2}[\dA-Fa-f]{1,4})?::(?:[\dA-Fa-f]{1,4}:){2}(?:[\dA-Fa-f]{1,4}:[\dA-Fa-f]{1,4}|(?:(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.){3}(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|(?:(?:[\dA-Fa-f]{1,4}:){0,3}[\dA-Fa-f]{1,4})?::[\dA-Fa-f]{1,4}:(?:[\dA-Fa-f]{1,4}:[\dA-Fa-f]{1,4}|(?:(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.){3}(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|(?:(?:[\dA-Fa-f]{1,4}:){0,4}[\dA-Fa-f]{1,4})?::(?:[\dA-Fa-f]{1,4}:[\dA-Fa-f]{1,4}|(?:(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.){3}(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|(?:(?:[\dA-Fa-f]{1,4}:){0,5}[\dA-Fa-f]{1,4})?::[\dA-Fa-f]{1,4}|(?:(?:[\dA-Fa-f]{1,4}:){0,6}[\dA-Fa-f]{1,4})?::)|v[\dA-Fa-f]+\.[\w-\.~!\$&'\(\)\*\+,;=:]+)\]|(?:(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.){3}(?:0{0,2}\d|0?[1-9]\d|1\d\d|2[0-4]\d|25[0-5])|[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=]{1,255})(?::\d*)?(?:\/[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:@]*)*)|\/(?:[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:@]+(?:\/[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:@]*)*)?|[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:@]+(?:\/[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:@]*)*|(?:\/\/\/[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:@]*(?:\/[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:@]*)*)))(?:\?[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:@\/\?]*(?=#|$))?(?:#[\w-\.~%\dA-Fa-f!\$&'\(\)\*\+,;=:@\/\?]*)?$
        social_buttons_layout:
          $ref: '#/components/schemas/BrandingThemeWidgetSocialButtonsLayoutEnum'
    BrandingThemeBordersButtonsStyleEnum:
      type: string
      description: Buttons style
      enum:
        - pill
        - rounded
        - sharp
    BrandingThemeBordersInputsStyleEnum:
      type: string
      description: Inputs style
      enum:
        - pill
        - rounded
        - sharp
    BrandingThemeColorsCaptchaWidgetThemeEnum:
      type: string
      description: Captcha Widget Theme
      enum:
        - auto
        - dark
        - light
    BrandingThemeFontBodyText:
      type: object
      description: Body text
      additionalProperties: false
      required:
        - bold
        - size
      properties:
        bold:
          type: boolean
          description: Body text bold
        size:
          type: number
          description: Body text size
          minimum: 0
          maximum: 150
    BrandingThemeFontButtonsText:
      type: object
      description: Buttons text
      additionalProperties: false
      required:
        - bold
        - size
      properties:
        bold:
          type: boolean
          description: Buttons text bold
        size:
          type: number
          description: Buttons text size
          minimum: 0
          maximum: 150
    BrandingThemeFontInputLabels:
      type: object
      description: Input Labels
      additionalProperties: false
      required:
        - bold
        - size
      properties:
        bold:
          type: boolean
          description: Input Labels bold
        size:
          type: number
          description: Input Labels size
          minimum: 0
          maximum: 150
    BrandingThemeFontLinks:
      type: object
      description: Links
      additionalProperties: false
      required:
        - bold
        - size
      properties:
        bold:
          type: boolean
          description: Links bold
        size:
          type: number
          description: Links size
          minimum: 0
          maximum: 150
    BrandingThemeFontLinksStyleEnum:
      type: string
      description: Links style
      enum:
        - normal
        - underlined
    BrandingThemeFontSubtitle:
      type: object
      description: Subtitle
      additionalProperties: false
      required:
        - bold
        - size
      properties:
        bold:
          type: boolean
          description: Subtitle bold
        size:
          type: number
          description: Subtitle size
          minimum: 0
          maximum: 150
    BrandingThemeFontTitle:
      type: object
      description: Title
      additionalProperties: false
      required:
        - bold
        - size
      properties:
        bold:
          type: boolean
          description: Title bold
        size:
          type: number
          description: Title size
          minimum: 75
          maximum: 150
    BrandingThemePageBackgroundPageLayoutEnum:
      type: string
      description: Page Layout
      enum:
        - center
        - left
        - right
    BrandingThemeWidgetHeaderTextAlignmentEnum:
      type: string
      description: Header text alignment
      enum:
        - center
        - left
        - right
    BrandingThemeWidgetLogoPositionEnum:
      type: string
      description: Logo position
      enum:
        - center
        - left
        - none
        - right
    BrandingThemeWidgetSocialButtonsLayoutEnum:
      type: string
      description: Social buttons layout
      enum:
        - bottom
        - top
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: jwt
    oAuth2ClientCredentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /oauth/token/
          x-form-parameters:
            audience: /api/v2/
          scopes:
            create:actions: Create Actions
            read:actions: Read Actions
            update:actions: Update Actions
            delete:actions: Delete Actions
            read:anomaly_blocks: Read Anomaly Blocks
            delete:anomaly_blocks: Delete Anomaly Blocks
            read:attack_protection: Read Attack Protection
            update:attack_protection: Update Attack Protection
            create:authentication_methods: Create Authentication Methods
            read:authentication_methods: Read Authentication Methods
            update:authentication_methods: Update Authentication Methods
            delete:authentication_methods: Delete Authentication Methods
            read:branding: Read Branding
            update:branding: Update Branding
            delete:branding: Delete Branding
            create:client_credentials: Create Client Credentials
            read:client_credentials: Read Client Credentials
            update:client_credentials: Update Client Credentials
            delete:client_credentials: Delete Client Credentials
            create:client_grants: Create Client Grants
            read:client_grants: Read Client Grants
            update:client_grants: Update Client Grants
            delete:client_grants: Delete Client Grants
            read:client_keys: Read Client Keys
            update:client_keys: Update Client Keys
            read:client_summary: Read Client Summary
            update:client_token_vault_privileged_access: Update Client Token Vault Privileged Access
            create:clients: Create Clients
            read:clients: Read Clients
            update:clients: Update Clients
            delete:clients: Delete Clients
            create:connection_profiles: Create Connection Profiles
            read:connection_profiles: Read Connection Profiles
            update:connection_profiles: Update Connection Profiles
            delete:connection_profiles: Delete Connection Profiles
            create:connections: Create Connections
            read:connections: Read Connections
            update:connections: Update Connections
            delete:connections: Delete Connections
            create:connections_keys: Create Connections Keys
            read:connections_keys: Read Connections Keys
            update:connections_keys: Update Connections Keys
            read:current_user: Read Current User
            delete:current_user: Delete Current User
            create:current_user_device_credentials: Create Current User Device Credentials
            delete:current_user_device_credentials: Delete Current User Device Credentials
            update:current_user_identities: Update Current User Identities
            update:current_user_metadata: Update Current User Metadata
            create:custom_domains: Create Custom Domains
            read:custom_domains: Read Custom Domains
            update:custom_domains: Update Custom Domains
            delete:custom_domains: Delete Custom Domains
            create:custom_signing_keys: Create Custom Signing Keys
            read:custom_signing_keys: Read Custom Signing Keys
            update:custom_signing_keys: Update Custom Signing Keys
            delete:custom_signing_keys: Delete Custom Signing Keys
            read:device_credentials: Read Device Credentials
            delete:device_credentials: Delete Device Credentials
            create:directory_provisionings: Create Directory Provisionings
            read:directory_provisionings: Read Directory Provisionings
            update:directory_provisionings: Update Directory Provisionings
            delete:directory_provisionings: Delete Directory Provisionings
            create:email_provider: Create Email Provider
            read:email_provider: Read Email Provider
            update:email_provider: Update Email Provider
            delete:email_provider: Delete Email Provider
            create:email_templates: Create Email Templates
            read:email_templates: Read Email Templates
            update:email_templates: Update Email Templates
            create:encryption_keys: Create Encryption Keys
            read:encryption_keys: Read Encryption Keys
            update:encryption_keys: Update Encryption Keys
            delete:encryption_keys: Delete Encryption Keys
            read:event_deliveries: Read Event Deliveries
            update:event_deliveries: Update Event Deliveries
            create:event_streams: Create Event Streams
            read:event_streams: Read Event Streams
            update:event_streams: Update Event Streams
            delete:event_streams: Delete Event Streams
            read:events: Read Events
            create:experimentation: Create Experimentation
            read:experimentation: Read Experimentation
            update:experimentation: Update Experimentation
            delete:experimentation: Delete Experimentation
            read:federated_connections_tokens: Read Federated Connections Tokens
            delete:federated_connections_tokens: Delete Federated Connections Tokens
            create:flows: Create Flows
            read:flows: Read Flows
            update:flows: Update Flows
            delete:flows: Delete Flows
            read:flows_executions: Read Flows Executions
            delete:flows_executions: Delete Flows Executions
            create:flows_vault_connections: Create Flows Vault Connections
            read:flows_vault_connections: Read Flows Vault Connections
            update:flows_vault_connections: Update Flows Vault Connections
            delete:flows_vault_connections: Delete Flows Vault Connections
            create:forms: Create Forms
            read:forms: Read Forms
            update:forms: Update Forms
            delete:forms: Delete Forms
            read:grants: Read Grants
            delete:grants: Delete Grants
            read:group_members: Read Group Members
            create:group_roles: Create Group Roles
            read:group_roles: Read Group Roles
            delete:group_roles: Delete Group Roles
            read:groups: Read Groups
            delete:groups: Delete Groups
            create:guardian_enrollment_tickets: Create Guardian Enrollment Tickets
            read:guardian_enrollments: Read Guardian Enrollments
            delete:guardian_enrollments: Delete Guardian Enrollments
            read:guardian_factors: Read Guardian Factors
            update:guardian_factors: Update Guardian Factors
            create:hooks: Create Hooks
            read:hooks: Read Hooks
            update:hooks: Update Hooks
            delete:hooks: Delete Hooks
            create:log_streams: Create Log Streams
            read:log_streams: Read Log Streams
            update:log_streams: Update Log Streams
            delete:log_streams: Delete Log Streams
            read:logs: Read Logs
            read:logs_users: Read Logs Users
            read:mfa_policies: Read Mfa Policies
            update:mfa_policies: Update Mfa Policies
            create:network_acls: Create Network Acls
            read:network_acls: Read Network Acls
            update:network_acls: Update Network Acls
            delete:network_acls: Delete Network Acls
            create:organization_client_grants: Create Organization Client Grants
            read:organization_client_grants: Read Organization Client Grants
            delete:organization_client_grants: Delete Organization Client Grants
            create:organization_connections: Create Organization Connections
            read:organization_connections: Read Organization Connections
            update:organization_connections: Update Organization Connections
            delete:organization_connections: Delete Organization Connections
            create:organization_discovery_domains: Create Organization Discovery Domains
            read:organization_discovery_domains: Read Organization Discovery Domains
            update:organization_discovery_domains: Update Organization Discovery Domains
            delete:organization_discovery_domains: Delete Organization Discovery Domains
            create:organization_group_roles: Create Organization Group Roles
            read:organization_group_roles: Read Organization Group Roles
            delete:organization_group_roles: Delete Organization Group Roles
            read:organization_groups: Read Organization Groups
            create:organization_invitations: Create Organization Invitations
            read:organization_invitations: Read Organization Invitations
            delete:organization_invitations: Delete Organization Invitations
            read:organization_member_effective_roles: Read Organization Member Effective Roles
            read:organization_member_role_source_groups: Read Organization Member Role Source Groups
            create:organization_member_roles: Create Organization Member Roles
            read:organization_member_roles: Read Organization Member Roles
            delete:organization_member_roles: Delete Organization Member Roles
            create:organization_members: Create Organization Members
            read:organization_members: Read Organization Members
            delete:organization_members: Delete Organization Members
            create:organizations: Create Organizations
            read:organizations: Read Organizations
            update:organizations: Update Organizations
            delete:organizations: Delete Organizations
            read:organizations_summary: Read Organizations Summary
            create:phone_providers: Create Phone Providers
            read:phone_providers: Read Phone Providers
            update:phone_providers: Update Phone Providers
            delete:phone_providers: Delete Phone Providers
            create:phone_templates: Create Phone Templates
            read:phone_templates: Read Phone Templates
            update:phone_templates: Update Phone Templates
            delete:phone_templates: Delete Phone Templates
            read:prompts: Read Prompts
            update:prompts: Update Prompts
            create:rate_limit_policies: Create Rate Limit Policies
            read:rate_limit_policies: Read Rate Limit Policies
            update:rate_limit_policies: Update Rate Limit Policies
            delete:rate_limit_policies: Delete Rate Limit Policies
            read:refresh_tokens: Read Refresh Tokens
            update:refresh_tokens: Update Refresh Tokens
            delete:refresh_tokens: Delete Refresh Tokens
            create:resource_servers: Create Resource Servers
            read:resource_servers: Read Resource Servers
            update:resource_servers: Update Resource Servers
            delete:resource_servers: Delete Resource Servers
            create:role_members: Create Role Members
            read:role_members: Read Role Members
            delete:role_members: Delete Role Members
            create:roles: Create Roles
            read:roles: Read Roles
            update:roles: Update Roles
            delete:roles: Delete Roles
            create:rules: Create Rules
            read:rules: Read Rules
            update:rules: Update Rules
            delete:rules: Delete Rules
            read:rules_configs: Read Rules Configs
            update:rules_configs: Update Rules Configs
            delete:rules_configs: Delete Rules Configs
            create:scim_config: Create Scim Config
            read:scim_config: Read Scim Config
            update:scim_config: Update Scim Config
            delete:scim_config: Delete Scim Config
            create:scim_token: Create Scim Token
            read:scim_token: Read Scim Token
            delete:scim_token: Delete Scim Token
            read:self_service_profile_custom_texts: Read Self Service Profile Custom Texts
            update:self_service_profile_custom_texts: Update Self Service Profile Custom Texts
            create:self_service_profiles: Create Self Service Profiles
            read:self_service_profiles: Read Self Service Profiles
            update:self_service_profiles: Update Self Service Profiles
            delete:self_service_profiles: Delete Self Service Profiles
            read:sessions: Read Sessions
            update:sessions: Update Sessions
            delete:sessions: Delete Sessions
            create:signing_keys: Create Signing Keys
            read:signing_keys: Read Signing Keys
            update:signing_keys: Update Signing Keys
            create:sso_access_tickets: Create Sso Access Tickets
            delete:sso_access_tickets: Delete Sso Access Tickets
            read:stats: Read Stats
            read:tenant_settings: Read Tenant Settings
            update:tenant_settings: Update Tenant Settings
            create:token_exchange_profiles: Create Token Exchange Profiles
            read:token_exchange_profiles: Read Token Exchange Profiles
            update:token_exchange_profiles: Update Token Exchange Profiles
            delete:token_exchange_profiles: Delete Token Exchange Profiles
            create:user_attribute_profiles: Create User Attribute Profiles
            read:user_attribute_profiles: Read User Attribute Profiles
            update:user_attribute_profiles: Update User Attribute Profiles
            delete:user_attribute_profiles: Delete User Attribute Profiles
            read:user_effective_permissions: Read User Effective Permissions
            read:user_effective_roles: Read User Effective Roles
            read:user_idp_tokens: Read User Idp Tokens
            read:user_permission_source_roles: Read User Permission Source Roles
            read:user_role_source_groups: Read User Role Source Groups
            create:user_tickets: Create User Tickets
            create:users: Create Users
            read:users: Read Users
            update:users: Update Users
            delete:users: Delete Users
            update:users_app_metadata: Update Users App Metadata
            create:vdcs_templates: Create Vdcs Templates
            read:vdcs_templates: Read Vdcs Templates
            update:vdcs_templates: Update Vdcs Templates
            delete:vdcs_templates: Delete Vdcs Templates

````